# Class ArrayOfDoublesCompactSketch

java.lang.Object
org.apache.datasketches.tuple.arrayofdoubles.ArrayOfDoublesSketch
org.apache.datasketches.tuple.arrayofdoubles.ArrayOfDoublesCompactSketch

public abstract class ArrayOfDoublesCompactSketch extends ArrayOfDoublesSketch
Top level compact tuple sketch of type ArrayOfDoubles. Compact sketches are never created directly. They are created as a result of the compact() method on a QuickSelectSketch or the getResult() method of a set operation like TupleUnion, TupleIntersection or TupleAnotB. A CompactTupleSketch consists of a compact list (i.e. no intervening spaces) of hash values, a corresponding list of double values, and a value for theta. The lists may or may not be ordered. It is read-only.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurrentBytes()`
For compact sketches this is the same as getMaxBytes().
`int`
`getMaxBytes()`
Returns the maximum number of bytes for this sketch when serialized.

### Methods inherited from class ArrayOfDoublesSketch

`compact, compact, getEstimate, getLowerBound, getNumValues, getRetainedEntries, getTheta, getUpperBound, getValues, hasMemorySegment, heapify, heapify, heapifySketch, heapifySketch, heapifyUnion, heapifyUnion, heapifyUpdatableSketch, heapifyUpdatableSketch, isEmpty, isEstimationMode, iterator, toByteArray, toString, wrap, wrap, wrapSketch, wrapSketch, wrapUnion, wrapUnion, wrapUpdatableSketch, wrapUpdatableSketch`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getCurrentBytes

public int getCurrentBytes()
Description copied from class: `ArrayOfDoublesSketch`
For compact sketches this is the same as getMaxBytes().

Specified by:
  `getCurrentBytes` in class `ArrayOfDoublesSketch`
Returns:
  the current number of bytes for this sketch when serialized.

### getMaxBytes

public int getMaxBytes()
Description copied from class: `ArrayOfDoublesSketch`
Returns the maximum number of bytes for this sketch when serialized.

Specified by:
  `getMaxBytes` in class `ArrayOfDoublesSketch`
Returns:
  the maximum number of bytes for this sketch when serialized.